Add pledge items
curl --request POST \
--url https://api.sandbox.busha.so/v1/pledges/{id}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference": "topup_7af2",
"items": [
{
"asset": "BTC",
"amount": "100"
}
],
"reason": "beneficiary_requested_top_up",
"meta": {}
}
'import requests
url = "https://api.sandbox.busha.so/v1/pledges/{id}/items"
payload = {
"reference": "topup_7af2",
"items": [
{
"asset": "BTC",
"amount": "100"
}
],
"reason": "beneficiary_requested_top_up",
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reference: 'topup_7af2',
items: [{asset: 'BTC', amount: '100'}],
reason: 'beneficiary_requested_top_up',
meta: {}
})
};
fetch('https://api.sandbox.busha.so/v1/pledges/{id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "message for success",
"data": {
"id": "PLG_01HX...",
"items": [
{
"id": "PLI_01HX...",
"asset": "BTC",
"locked_amount": "100",
"released_amount": "100",
"liquidated_amount": "100",
"available_to_release": "100"
}
],
"event_id": "PLE_01HZ..."
}
}Pledges
Add pledge items
Add more customer-authorized assets to an active pledge. Requires an OAuth pledge grant with beneficiary context.
POST
/
v1
/
pledges
/
{id}
/
items
Add pledge items
Authorizations
Bearer Authentication
Headers
User profile header
Example:
"BUS_YOK8tp5Zga01qOKEsqp07"
Path Parameters
Pledge ID
Example:
"PLG_01HX..."
Body
application/json
Add pledge items request
⌘I